__gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser Struct Reference

## Public Attributes

_Tp | _M_key
int | _M_source
bool | _M_sup

## Detailed Description

### template<typename _Tp, typename _Compare>
struct __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser

Internal representation of a _LoserTree element.

Definition at line 59 of file losertree.h.

## Member Data Documentation

## _M_key

template<typename _Tp , typename _Compare >

_Tp __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_key

_M_key of the element in the _LoserTree.

Definition at line 66 of file losertree.h.

Referenced by __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::__insert_start().

## _M_source

template<typename _Tp , typename _Compare >

int __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_source

__index of the __source __sequence.

Definition at line 64 of file losertree.h.

Referenced by __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::__get_min_source(), and __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::__insert_start().

## _M_sup

template<typename _Tp , typename _Compare >

bool __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_sup

flag, true iff this is a "maximum" __sentinel.

Definition at line 62 of file losertree.h.

Referenced by __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::__insert_start().

The documentation for this struct was generated from the following file:

- losertree.h